org.apache.ignite.ml.math.isolve.lsqr

## Class LSQRResult

- java.lang.Object
- - org.apache.ignite.ml.math.isolve.IterativeSolverResult
  - - org.apache.ignite.ml.math.isolve.lsqr.LSQRResult

- All Implemented Interfaces:
    Serializable

      public class LSQRResult
      extends IterativeSolverResult

  LSQR iterative solver result.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LSQRResult(double[] x, int iterations, int isstop, double r1norm, double r2norm, double anorm, double acond, double arnorm, double xnorm, double[] var)` Constructs a new instance of LSQR result.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAcond()`
    `double` | `getAnorm()`
    `double` | `getArnorm()`
    `int` | `getIsstop()`
    `double` | `getR1norm()`
    `double` | `getR2norm()`
    `double[]` | `getVar()`
    `double` | `getXnorm()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.ignite.ml.math.isolve.IterativeSolverResult

      `getIterations, getX`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LSQRResult

          public LSQRResult(double[] x,
                            int iterations,
                            int isstop,
                            double r1norm,
                            double r2norm,
                            double anorm,
                            double acond,
                            double arnorm,
                            double xnorm,
                            double[] var)

      Constructs a new instance of LSQR result.
      Parameters:
        `x` - X value.
        `iterations` - Number of performed iterations.
        `isstop` - Stop reason.
        `r1norm` - R1 norm value.
        `r2norm` - R2 norm value.
        `anorm` - A norm value.
        `acond` - A cond value.
        `arnorm` - AR norm value.
        `xnorm` - X norm value.
        `var` - Var value.

  - ### Method Detail

    - #### getIsstop

          public int getIsstop()

    - #### getR1norm

          public double getR1norm()

    - #### getR2norm

          public double getR2norm()

    - #### getAnorm

          public double getAnorm()

    - #### getAcond

          public double getAcond()

    - #### getArnorm

          public double getArnorm()

    - #### getXnorm

          public double getXnorm()

    - #### getVar

          public double[] getVar()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `IterativeSolverResult`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020